summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-10 00:42:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-10 00:42:09 +0000
commit0ee2f45fa8b6f82dfeae57db7d4f0e5afeab3d49 (patch)
tree56571913f1ed753d7c79efc2bbc722b5d77a8c79 /dev-python
parent5c135724c546218a6bc28195b8d0c991a3dfb38b (diff)
downloadbaldeagleos-repo-0ee2f45fa8b6f82dfeae57db7d4f0e5afeab3d49.tar.gz
baldeagleos-repo-0ee2f45fa8b6f82dfeae57db7d4f0e5afeab3d49.tar.xz
baldeagleos-repo-0ee2f45fa8b6f82dfeae57db7d4f0e5afeab3d49.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/build/build-0.7.0-r1.ebuild3
-rw-r--r--dev-python/build/build-0.8.0.ebuild3
-rw-r--r--dev-python/fakeredis/Manifest4
-rw-r--r--dev-python/fakeredis/fakeredis-1.7.4.ebuild93
-rw-r--r--dev-python/fakeredis/fakeredis-1.7.5.ebuild93
-rw-r--r--dev-python/fakeredis/fakeredis-1.8.1.ebuild (renamed from dev-python/fakeredis/fakeredis-1.7.6.1.ebuild)5
-rw-r--r--dev-python/fakeredis/fakeredis-1.8.ebuild3
-rw-r--r--dev-python/google-auth-oauthlib/Manifest1
-rw-r--r--dev-python/google-auth-oauthlib/google-auth-oauthlib-0.5.2.ebuild39
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-5.1.4.ebuild58
-rw-r--r--dev-python/requests/Manifest1
-rw-r--r--dev-python/requests/requests-2.28.0.ebuild68
-rw-r--r--dev-python/svg-path/Manifest1
-rw-r--r--dev-python/svg-path/svg-path-6.1.ebuild33
15 files changed, 212 insertions, 194 deletions
diff --git a/dev-python/build/build-0.7.0-r1.ebuild b/dev-python/build/build-0.7.0-r1.ebuild
index 597ae7f1126b..1116c9cd8941 100644
--- a/dev-python/build/build-0.7.0-r1.ebuild
+++ b/dev-python/build/build-0.7.0-r1.ebuild
@@ -54,6 +54,9 @@ python_test() {
tests/test_main.py::test_build_package_via_sdist
'tests/test_util.py::test_wheel_metadata[True]'
tests/test_util.py::test_with_get_requires
+ # we don't really have to test that fallback
+ # (requires dev-python/toml that we'd like to lastrite eventually)
+ tests/test_projectbuilder.py::test_toml_instead_of_tomli
)
[[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
# fixed in git but the patch is large-ish
diff --git a/dev-python/build/build-0.8.0.ebuild b/dev-python/build/build-0.8.0.ebuild
index a4d5552f8912..ea2522895df1 100644
--- a/dev-python/build/build-0.8.0.ebuild
+++ b/dev-python/build/build-0.8.0.ebuild
@@ -58,6 +58,9 @@ python_test() {
tests/test_self_packaging.py::test_build_wheel
'tests/test_util.py::test_wheel_metadata[True]'
tests/test_util.py::test_with_get_requires
+ # we don't really have to test that fallback
+ # (requires dev-python/toml that we'd like to lastrite eventually)
+ tests/test_projectbuilder.py::test_toml_instead_of_tomli
)
epytest -p no:flaky -n "$(makeopts_jobs)" \
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index b549654c4d62..b0454a6f70c6 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,5 +1,3 @@
DIST fakeredis-1.7.1.gh.tar.gz 71151 BLAKE2B 87877c94a4c03ad6ff4b55f307526f712daa860257374a97a8f7bd29440d171467e18e4041ca56bb6af30df30481a3d5b13c7d0657ba3eb7673a653664ffbe8a SHA512 f41d9393ae50bae9de064678948f4364fc47db06f489782e5b428f449828ad5813b08b2fb053bef878b2a1b500edbb0ea1881449dbd12c2b6e385f6a2fba4c59
-DIST fakeredis-py-1.7.4.gh.tar.gz 73024 BLAKE2B d3d18611d846a0dabb52d74ca53cad997b37e794ef320bc800ab5339f70710bc30f9e33c0820db941064fbf9dca0dde3e72c78298895b8c2510a93353898b355 SHA512 71c9ffe7c208453bc8f5e719b3647a9b9fc5406c5fe3856ef1dc42c019bd7128355d260be468b62dcb764a918a3510f193fb1aaf374bb3866e352c9c2bae90c6
-DIST fakeredis-py-1.7.5.gh.tar.gz 72932 BLAKE2B 3965df2d238e70f362e5e43a52fe763b2fec34ecc87d4bf38cb8fdf5e8f58b6bad87b59353a932d5e7e12ac243f3c884a19079752c48b6230795c53f7512d345 SHA512 bcefaa8e425cb47d7881c2f91d35e5ec5b46a94f3189b1ffbd71a92cd202a5fcc3d82df8250cf683475bacbbbec088f1e49545f71f2c98638adca58063cc0fa2
-DIST fakeredis-py-1.7.6.1.gh.tar.gz 100750 BLAKE2B aeaf9e38b173d169a8108c6559b3900ac3232690513a735f2592790bfd3866cefa5dff663672fb2fbeae96fd40c203d5a6d86c4ccc0336f54f5f68f7d0f3d38a SHA512 6a92ae7fa60ce7a6913e40b5c6b9bcbbb286f44f8602ff4bcbfb0739d8fd18d772291124a56d9dbff1fd0f69f0605a5a5f524161f8661b1529d9fe4f5f2481fd
+DIST fakeredis-py-1.8.1.gh.tar.gz 101586 BLAKE2B a1b123dd482b9b59f401a855ba95a08f2e744bff5ae4a4f0c12cde8b2a05971043ccb16e92d0adbfeedd3e071fab50f1328ed265c6ac19ecf6932d09bcacd549 SHA512 19e1636895206fa550844a776ba4835c3acbe2eac8fb774716e91d20e0f283b121f42ee11d876e20d798a6df0dcfcc29114c76c839c4946436102b8f83ed3d01
DIST fakeredis-py-1.8.gh.tar.gz 101156 BLAKE2B e799b5636a89edd8795fdc79811689cd308f8a7dae55d7ac4045352f370f428d96fdfed7886598e856c203bcc44d58236a8bf5229ee49a9cec90324f0778ce78 SHA512 7bd553dc724b9d664ff1c403fd9a234ad7a8e95f81a3761eef28c7e6d919b7756040a70382e61d9ff54f8bd8f778130c035e9384707403ca9a4340051a4cf861
diff --git a/dev-python/fakeredis/fakeredis-1.7.4.ebuild b/dev-python/fakeredis/fakeredis-1.7.4.ebuild
deleted file mode 100644
index f9af80a055a9..000000000000
--- a/dev-python/fakeredis/fakeredis-1.7.4.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature
-
-MY_P=fakeredis-py-${PV}
-DESCRIPTION="Fake implementation of redis API for testing purposes"
-HOMEPAGE="
- https://github.com/dsoftwareinc/fakeredis-py/
- https://pypi.org/project/fakeredis/
-"
-SRC_URI="
- https://github.com/dsoftwareinc/fakeredis-py/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
-
-RDEPEND="
- dev-python/redis-py[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/sortedcontainers[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/aioredis[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin redis
- sed -i -e '/redis/s:<=.*::' setup.cfg || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # also lupa
- test/test_aioredis2.py::test_failed_script_error
- # TODO
- "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
- "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
- "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
- "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
- )
- local EPYTEST_IGNORE=(
- # these tests fail a lot...
- test/test_hypothesis.py
- )
- local args=(
- # tests requiring lupa (lua support)
- -k 'not test_eval and not test_lua and not test_script'
- )
- epytest "${args[@]}"
-}
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
- local redis_test_config="
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1
- "
-
- einfo "Spawning Redis"
- einfo "NOTE: Port ${redis_port} must be free"
- "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
-
-pkg_postinst() {
- optfeature "Mock aioredis" dev-python/aioredis
-}
diff --git a/dev-python/fakeredis/fakeredis-1.7.5.ebuild b/dev-python/fakeredis/fakeredis-1.7.5.ebuild
deleted file mode 100644
index f9af80a055a9..000000000000
--- a/dev-python/fakeredis/fakeredis-1.7.5.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature
-
-MY_P=fakeredis-py-${PV}
-DESCRIPTION="Fake implementation of redis API for testing purposes"
-HOMEPAGE="
- https://github.com/dsoftwareinc/fakeredis-py/
- https://pypi.org/project/fakeredis/
-"
-SRC_URI="
- https://github.com/dsoftwareinc/fakeredis-py/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
-
-RDEPEND="
- dev-python/redis-py[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/sortedcontainers[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/aioredis[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin redis
- sed -i -e '/redis/s:<=.*::' setup.cfg || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # also lupa
- test/test_aioredis2.py::test_failed_script_error
- # TODO
- "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
- "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
- "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
- "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
- )
- local EPYTEST_IGNORE=(
- # these tests fail a lot...
- test/test_hypothesis.py
- )
- local args=(
- # tests requiring lupa (lua support)
- -k 'not test_eval and not test_lua and not test_script'
- )
- epytest "${args[@]}"
-}
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
- local redis_test_config="
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1
- "
-
- einfo "Spawning Redis"
- einfo "NOTE: Port ${redis_port} must be free"
- "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
-
-pkg_postinst() {
- optfeature "Mock aioredis" dev-python/aioredis
-}
diff --git a/dev-python/fakeredis/fakeredis-1.7.6.1.ebuild b/dev-python/fakeredis/fakeredis-1.8.1.ebuild
index 6043e4de0561..5b7c4d0f861e 100644
--- a/dev-python/fakeredis/fakeredis-1.7.6.1.ebuild
+++ b/dev-python/fakeredis/fakeredis-1.8.1.ebuild
@@ -25,14 +25,13 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
- dev-python/redis-py[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-4.2[${PYTHON_USEDEP}]
>=dev-python/six-1.16.0[${PYTHON_USEDEP}]
>=dev-python/sortedcontainers-2.4.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-db/redis
- dev-python/aioredis[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
)
@@ -42,7 +41,7 @@ distutils_enable_tests pytest
src_prepare() {
# unpin redis
- sed -i -e '/redis/s:<=[0-9.]*:*:' pyproject.toml || die
+ sed -i -e '/redis/s:<[0-9.]*:*:' pyproject.toml || die
distutils-r1_src_prepare
}
diff --git a/dev-python/fakeredis/fakeredis-1.8.ebuild b/dev-python/fakeredis/fakeredis-1.8.ebuild
index 6043e4de0561..68592d9d3549 100644
--- a/dev-python/fakeredis/fakeredis-1.8.ebuild
+++ b/dev-python/fakeredis/fakeredis-1.8.ebuild
@@ -25,14 +25,13 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
- dev-python/redis-py[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-4.2[${PYTHON_USEDEP}]
>=dev-python/six-1.16.0[${PYTHON_USEDEP}]
>=dev-python/sortedcontainers-2.4.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-db/redis
- dev-python/aioredis[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
)
diff --git a/dev-python/google-auth-oauthlib/Manifest b/dev-python/google-auth-oauthlib/Manifest
index 4e11beb1a618..ab1079bfb839 100644
--- a/dev-python/google-auth-oauthlib/Manifest
+++ b/dev-python/google-auth-oauthlib/Manifest
@@ -1 +1,2 @@
DIST google-auth-library-python-oauthlib-0.5.1.gh.tar.gz 53101 BLAKE2B 2edaad7dbe42834d440bb30bcf836e01a575616160af045844da6c853f93a3a7a1c80367bbe58d47dbbdaf9e5b061abf780d9edd48f311e30d79025c934c3764 SHA512 628da0161739c9f0ba5963db6f21da71fde01ff81340d9242adcc74468c92c290693cfa4d98affed79556299621e74083992b54346c14940c1e88c5a5c683408
+DIST google-auth-library-python-oauthlib-0.5.2.gh.tar.gz 53842 BLAKE2B 7adcd9f339ec9a5528308fcc0fee1cbbe96440e1bfe5c7cc9c94808668e22801b612d291a2419333888194c3224838ac40f9d0656381825bd660067470f58910 SHA512 eaf296a0e0504e8249637a8db7531c10b120f28abeeab3e1fe8f366b4279c396509188e83f8a0ec56be85063430ceb691d6d926cee33d4f166bbcc4425e538db
diff --git a/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.5.2.ebuild b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.5.2.ebuild
new file mode 100644
index 000000000000..60fc3fc45a6c
--- /dev/null
+++ b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.5.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=google-auth-library-python-oauthlib-${PV}
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/
+ https://pypi.org/project/google-auth-oauthlib/
+"
+SRC_URI="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/click-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-oauthlib-0.7.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 497326ad4af4..2ccfaa521fc4 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,2 +1,3 @@
DIST pikepdf-5.1.2.tar.gz 2355023 BLAKE2B 1186174a8375b63035157a65a23d62d2e52447719de8b0182a4d6892334eea52f140ce113415941e9f096716b5bc71d9c4967658428d87bd45a14e0a43b70caf SHA512 1b18c3ddb3826a1a74e82cf341a4ebeb5c98b587e148dbc6b479768cad14860700b39ebbcb421459f720bea63a4aa9ee4987f1c2cb944620e56c71193741a5ec
DIST pikepdf-5.1.3.tar.gz 2356111 BLAKE2B 5a9ec1d06f91be44b4eacc68d7d9449a2bb74b59214ce3d1b10d3cdf81533d38450a2150834d0008cf81475e07e4de241ea16e438450dff6dadd5c15da533223 SHA512 d38a6203b9a4150e4daf4980517b72b0e8e797c57bd82009d6f95a1275c0e6f767e415e14fe6d1614bd51edaf660febafd0f0b85cc46482125aeced8f6912285
+DIST pikepdf-5.1.4.gh.tar.gz 2356865 BLAKE2B 7ebeedd7a2bb29371325b0cd6cb89cd56843eee1847cb26f0487d0114a3268e9a15171769abc16502c48684bb1bbe59050a2c692e17857f161ccd10a4663eeb0 SHA512 390c8f07bb5602715a061bf26b272cc8301dbb610ea06b8e5e5560282b7256c03e87717ab62a657c662ef51f549f5d52f0133f3806ff536451664ac93add625a
diff --git a/dev-python/pikepdf/pikepdf-5.1.4.ebuild b/dev-python/pikepdf/pikepdf-5.1.4.ebuild
new file mode 100644
index 000000000000..5d81334a2ca6
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-5.1.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=app-text/qpdf-10.6.2:0=
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/pillow-9[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-6.4[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/-n auto/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index 9c802f8ffe68..f8811e10851e 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1 +1,2 @@
DIST requests-2.27.1.tar.gz 106758 BLAKE2B a7fed53998fa61b3d03abd254a0cee76450c5b60d76f80aa6b91f32dca1dae5d2c51987b3d3f2138d72c50790e35c36cb03eb5974554ac4eb1a902eff79b5bdd SHA512 e51916abea8125254c5ee72c97e84a73e6981cab09961486873387522d2ce041ee3fe8fa2ff0b9bbe6707eefdc05145e9adcf127bcd999dea127acdfabd5312f
+DIST requests-2.28.0.tar.gz 109748 BLAKE2B 1df85b90ab1f6c551e46593dc8640aa0629505c9b395ca2100c6af04435e1360503b215d9796c34fb09122ffd616e1a01ca3574ac4543b4857c76a3dd86f13fe SHA512 111cfd2d0b0267111ccad0a97b33c5e9565812e6e6728b7d5bdbe06c32fae9e637b220bda605d799409e57dc6aaf3bcc66a4a4605cdbccb439367dc492fb836f
diff --git a/dev-python/requests/requests-2.28.0.ebuild b/dev-python/requests/requests-2.28.0.ebuild
new file mode 100644
index 000000000000..be0b2f968296
--- /dev/null
+++ b/dev-python/requests/requests-2.28.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="
+ https://requests.readthedocs.io/
+ https://github.com/psf/requests/
+ https://pypi.org/project/requests/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="socks5"
+
+RDEPEND="
+ >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+ dev-python/charset_normalizer[${PYTHON_USEDEP}]
+ <dev-python/idna-4[${PYTHON_USEDEP}]
+ <dev-python/urllib3-1.27[${PYTHON_USEDEP}]
+ socks5? ( >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}] )
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
+ !alpha? ( !hppa? ( !ia64? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ ) ) )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet (doctests)
+ requests/__init__.py::requests
+ requests/api.py::requests.api.request
+ requests/models.py::requests.models.PreparedRequest
+ requests/sessions.py::requests.sessions.Session
+ # require IPv4 interface in 10.* range
+ tests/test_requests.py::TestTimeout::test_connect_timeout
+ tests/test_requests.py::TestTimeout::test_total_timeout_connect
+ # TODO: openssl?
+ tests/test_requests.py::TestRequests::test_pyopenssl_redirect
+ )
+
+ if ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_requests.py::TestRequests::test_https_warnings
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/svg-path/Manifest b/dev-python/svg-path/Manifest
index 75c7863ccd94..3f896f2bcf60 100644
--- a/dev-python/svg-path/Manifest
+++ b/dev-python/svg-path/Manifest
@@ -1 +1,2 @@
DIST svg-path-6.0.gh.tar.gz 39195 BLAKE2B a2fd54705a1c41057325a8d9f1151ca7393b4caf496157b4860dd8fb9cda05dcf5bdfe0d601b59c3e25a70e2e01042864936dc5e87b45b7a94e03f4861899884 SHA512 3d51b4912786a5d2bb38f1a98b8b7f4dd0b8e62cdd5e899802eff19bb95d43f4f4c278fbb02951e03e32eff031247a92c95699950be775076d24be37bb6ce70f
+DIST svg-path-6.1.gh.tar.gz 39240 BLAKE2B 4f7751f436086f4a01f158b59b446272c7d1b345c1f04d9e2d0b543a2227def4e271cc80ef9040fe4ffdcfc42a2572293fc5f1a6a427b631cda3392d18dec478 SHA512 1149c099f2fbc55f4ed4996f8c7c797e65ac6bfad478caf75d15c79f6b2f0bcc055b16254e8d9093c13748c1b44222069fb5e924975bd55aab4f56f3f087600e
diff --git a/dev-python/svg-path/svg-path-6.1.ebuild b/dev-python/svg-path/svg-path-6.1.ebuild
new file mode 100644
index 000000000000..c850a719a518
--- /dev/null
+++ b/dev-python/svg-path/svg-path-6.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="SVG path objects and parser"
+HOMEPAGE="
+ https://github.com/regebro/svg.path/
+ https://pypi.org/project/svg.path/
+"
+SRC_URI="
+ https://github.com/regebro/svg.path/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest